- Home
- Resources
- Icon API
icons related WS
GET /icon/{iconId}
Get binary representation of given icon
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| iconId |
path |
The unique identifier of icon |
|
long |
Response Body
| media type |
data type |
description |
| image/* |
object
|
Binary representation of icon |
GET /icon/json/{iconId}
get icon from icon repository
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| iconId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcIconTO
(JSON) |
|
GET /icon/list/json
Get icons from icon repository.
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcIconListTO
(JSON) |
JSON with result
Example of response:
{"icons":[{"id":2940,"name":"hammer.PNG","width":78,"height":97}]}
|